Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008271opensim[GRID] Robust Serverpublic2017-11-27 00:062018-01-09 04:09
Reportertampa 
Assigned Totampa 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16
Product Version0.9.0 
Target VersionFixed in Versionmaster (dev code) 
Summary0008271: Estate Always Banned fails on add
DescriptionAdding a user to the Always Banned list for an estate causes and error both on robust and simulator side.

Tested against .9 release with freshly created database on both sides.

I do hope I have just missed something in the configs, but I doubt it, if estates were setup wrong it would throw other errors and the other lists e.g. Always Allowed do not throw the error.

Logs:

08:54:41 - [serverUtils.ParseXmlResponse]: failed error: The 'HEAD' start tag on line 1 position 8 does not match the end tag of 'HTML'. Line 1, position 160.
 --- string: <HTML><HEAD><TITLE>500 Internal Server Error</TITLE><BODY>
<H1>Ooops!</H1>

The server you requested is overun by knomes! Find hippos quick!

</BODY></HTML> -
08:54:41 - [ESTATE CONNECTOR]: PostRequest http://robust.testgrid.zetamex.xyz:80/estates/estate [^] received null or zero response
08:54:41 - [ESTATE CONNECTOR]: LoadEstateSettings(dfc76968-9376-486b-8003-0d2c3eb2a41a) returned 27 elements
08:54:41 - [ESTATE CONNECTOR]: GetRegions for estate 101 returned 1 elements

08:54:41 - [BASE HTTP SERVER]: HandleRequest() threw exception System.InvalidCastException: Specified cast is not valid.
  at OpenSim.Framework.EstateSettings..ctor (System.Collections.Generic.Dictionary`2[TKey,TValue] map) [0x002fb] in <9ee62b85d11e48b2a0c9dfc9aef5dd62>:0
  at OpenSim.Server.Handlers.EstateServerPostHandler.UpdateEstate (System.Collections.Generic.Dictionary`2[TKey,TValue] requestData, OpenSim.Framework.Servers.HttpServer.IOSHttpRequest httpRequest, OpenSim.Framework.Servers.HttpServer.IOSHttpResponse httpResponse) [0x00086] in <630537527f3f40dcac22aba697cd6986>:0
  at OpenSim.Server.Handlers.EstateServerPostHandler.ProcessRequest (System.String path, System.IO.Stream request, OpenSim.Framework.Servers.HttpServer.IOSHttpRequest httpRequest, OpenSim.Framework.Servers.HttpServer.IOSHttpResponse httpResponse) [0x0005f] in <630537527f3f40dcac22aba697cd6986>:0
  at OpenSim.Framework.Servers.HttpServer.BaseStreamHandler.Handle (System.String path, System.IO.Stream request, OpenSim.Framework.Servers.HttpServer.IOSHttpRequest httpRequest, OpenSim.Framework.Servers.HttpServer.IOSHttpResponse httpResponse) [0x0006c] in <03bbb5271aba4883b0375384de8cfd9f>:0
  at OpenSim.Framework.Servers.HttpServer.BaseHttpServer.HandleRequest (OpenSim.Framework.Servers.HttpServer.OSHttpRequest request, OpenSim.Framework.Servers.HttpServer.OSHttpResponse response) [0x000ed] in <03bbb5271aba4883b0375384de8cfd9f>:0
Steps To ReproduceSetup grid with central estates and connect a region to the grid
Attempt to add a user to Always banned list of the regions estate
Additional InformationAlso tested on a grid running master and one running master-like fork.
Pretty sure if this was a database error it would error not at the communication between simulator and robust?
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0032478)
BillBlight (developer)
2017-12-27 18:34

I'm sure I had this working at one point, but now fails consistently, as in 100% of the time ... Same error as above ..
(0032479)
paela argus (reporter)
2017-12-27 18:51

maybe a bad config in gridcommon of the simulator ?
(0032480)
BillBlight (developer)
2017-12-27 18:52

paela checked double triple checked, all the other lists work except the ban list .. The estate works fine other than that ..
(0032482)
UbitUmarov (administrator)
2017-12-30 07:39

don't think this ever worked..
added a workaround to master
(0032484)
tampa (reporter)
2018-01-02 17:32

Apparently something is still amiss here. It appears that adding works, but the call for refreshing the estate window causes an error:

[UTIL]: Util STP threadfunc 189769 terminated with error System.ArgumentException: Object of type 'System.String' cannot be converted to type 'System.UInt32'.
  at System.RuntimeType.CheckValue (System.Object value, System.Reflection.Binder binder, System.Globalization.CultureInfo culture, System.Reflection.BindingFlags invokeAttr) [0x00071] in <62f5937022004555807e6c57c33f6684>:0
  at System.Reflection.MonoMethod.ConvertValues (System.Reflection.Binder binder, System.Object[] args, System.Reflection.ParameterInfo[] pinfo, System.Globalization.CultureInfo culture, System.Reflection.BindingFlags invokeAttr) [0x00069] in <62f5937022004555807e6c57c33f6684>:0
  at System.Reflection.MonoMethod.Invoke (System.Object obj, System.Reflection.BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00011] in <62f5937022004555807e6c57c33f6684>:0
  at System.Reflection.MonoProperty.SetValue (System.Object obj, System.Object value, System.Reflection.BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] index, System.Globalization.CultureInfo culture) [0x0005d] in <62f5937022004555807e6c57c33f6684>:0
  at System.Reflection.PropertyInfo.SetValue (System.Object obj, System.Object value, System.Object[] index) [0x00000] in <62f5937022004555807e6c57c33f6684>:0
  at OpenSim.Framework.EstateBan..ctor (System.Collections.Generic.Dictionary`2[TKey,TValue] map) [0x000b9] in <f9a5444700f344948467dddbaf69e136>:0
  at OpenSim.Framework.EstateSettings..ctor (System.Collections.Generic.Dictionary`2[TKey,TValue] map) [0x003e2] in <f9a5444700f344948467dddbaf69e136>:0
  at OpenSim.Services.Connectors.EstateDataRemoteConnector.LoadEstateSettings (OpenMetaverse.UUID regionID, System.Boolean create) [0x00088] in <fbaa7a17c8d54dcf90e32a517c073924>:0
  at OpenSim.Region.Framework.Scenes.Scene.ReloadEstateData () [0x0001e] in <214bf3ab0cf04a0cb4d938bb7924f4ac>:0
  at OpenSim.Region.CoreModules.World.Estate.EstateConnector.SendUpdateEstate (System.UInt32 EstateID) [0x00071] in <b3739dc650e042e193f2fcabc9756baa>:0
  at OpenSim.Region.CoreModules.World.Estate.EstateModule.OnEstateInfoChange (OpenMetaverse.UUID RegionID) [0x00036] in <b3739dc650e042e193f2fcabc9756baa>:0
  at OpenSim.Region.CoreModules.World.Estate.EstateManagementModule.TriggerEstateInfoChange () [0x0001c] in <b3739dc650e042e193f2fcabc9756baa>:0
  at OpenSim.Region.CoreModules.World.Estate.EstateManagementModule.execDeltaRequests (System.Object o) [0x000c8] in <b3739dc650e042e193f2fcabc9756baa>:0
  at OpenSim.Framework.Util+<>c__DisplayClass176_0.<FireAndForget>b__1 (System.Object o) [0x0008a] in <f9a5444700f344948467dddbaf69e136>:0


Also seems that removal does not work, no error, just does not remove the entry. Not sure if that is related at all.
(0032485)
UbitUmarov (administrator)
2018-01-03 00:32

Ocasionaly viewers do not update the information. We need to close the dialog and open again.
Unreleated but keep in mind that large lists (allowed etc) may fail, because of wrong protocol used by viewers

now back to drawing board, to find that error :(
(0032486)
UbitUmarov (administrator)
2018-01-03 00:33

also on add/remove region owner has some protection.. so some cases may silent fail
(0032487)
UbitUmarov (administrator)
2018-01-03 02:27

can't repo.. both win10 and linux seem ok on my test grid ( robust on win10)
mono 4.6.??

with a bug fix i just commit, changes on a region do propagete to others
(0032488)
UbitUmarov (administrator)
2018-01-03 02:30

DO NOT USE this estates modules on open grids like osgrid or metro !!!
(0032489)
tampa (reporter)
2018-01-03 19:25

Evidently forgot a change during merge, just tested and seems this is resolved now, thanks!

- Issue History
Date Modified Username Field Change
2017-11-27 00:06 tampa New Issue
2017-12-27 18:34 BillBlight Note Added: 0032478
2017-12-27 18:51 paela argus Note Added: 0032479
2017-12-27 18:52 BillBlight Note Added: 0032480
2017-12-30 07:39 UbitUmarov Note Added: 0032482
2018-01-02 17:32 tampa Note Added: 0032484
2018-01-03 00:32 UbitUmarov Note Added: 0032485
2018-01-03 00:33 UbitUmarov Note Added: 0032486
2018-01-03 02:27 UbitUmarov Note Added: 0032487
2018-01-03 02:30 UbitUmarov Note Added: 0032488
2018-01-03 19:25 tampa Note Added: 0032489
2018-01-09 04:09 tampa Status new => resolved
2018-01-09 04:09 tampa Fixed in Version => master (dev code)
2018-01-09 04:09 tampa Resolution open => fixed
2018-01-09 04:09 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker